Bug 252418 - Review Request: gtk-vnc - a VNC viewer widget for GTK
Review Request: gtk-vnc - a VNC viewer widget for GTK
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 252421
  Show dependency treegraph
 
Reported: 2007-08-15 19:32 EDT by Daniel Berrange
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 10:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
Apply this patch (808 bytes, patch)
2007-08-16 05:44 EDT, Parag AN(पराग)
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2007-08-15 19:32:11 EDT
Spec URL: http://fedorapeople.org/~berrange/review/gtk-vnc/gtk-vnc.spec
SRPM URL: http://fedorapeople.org/~berrange/review/gtk-vnc/gtk-vnc-0.1.0-1.fc8.src.rpm
Description: 
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.
It implements the VeNCrypt protocol extension providing SSL/TLS encryption and x509 certificate authentication for VNC clients.

This package is a requirement for the next release of virt-manager (already in Fedora), and is a requirement for the Fedora 8 Virtualization Security goals. As such I'd like to get it included prior to F8 Test2 Freeze

http://fedoraproject.org/wiki/Releases/FeatureVirtSecurity
Comment 1 Daniel Berrange 2007-08-15 20:59:14 EDT
Discovered that the -devel RPM was missing a Requires: gnutls-devel, so got a
new src.rpm (spec file url is unchanged)

http://fedorapeople.org/~berrange/review/gtk-vnc/gtk-vnc-0.1.0-2.fc8.src.rpm
Comment 2 Parag AN(पराग) 2007-08-16 05:44:26 EDT
Created attachment 161642 [details]
Apply this patch

Apply above patch which makes rpmlint silent. 
Also update new package with chmod 644 gtk-vnc.spec
bump release tag.
Comment 3 Parag AN(पराग) 2007-08-16 05:50:23 EDT
Also, Do you think you should add same %doc files to all sub packages also?
You can remove AUTHORS, COPYING.LIB ,ChangeLog, NEWS, README from gtk-vnc-python
and gtk-vnc-devel.
They are already present in gtk-vnc rpm.
Comment 4 Daniel Berrange 2007-08-16 13:09:51 EDT
Applied the patch, changed the permissions (although its pointless since they
get set to neccessary mode when the spec is finally imported into CVS) and
removed duplicated docs. 

Updated src.rpm at:

http://fedorapeople.org/~berrange/review/gtk-vnc/gtk-vnc-0.1.0-3.fc8.src.rpm

New spec file at same url as before.
Comment 5 Parag AN(पराग) 2007-08-16 23:29:11 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
f0781695819bd00d5ba160205723a3b4  gtk-vnc-0.1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ gtk-vnc-1.0.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ gtk-vnc-0.1.0-3.fc8 rpm
=>Provides: libgtk-vnc-1.0.so.0
=>Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcairo.so.2 libdl.so.2 libgdk-x11-2.0.so.0
libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgnutls.so.13
libgnutls.so.13(GNUTLS_1_3) libgobject-2.0.so.0 libgtk-vnc-1.0.so.0
libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 rtld(GNU_HASH)
+ gtk-vnc-devel-0.1.0-3.fc8 rpm
=>Requires: gnutls-devel gtk-vnc = 0.1.0 gtk2-devel libgtk-vnc-1.0.so.0
pkgconfig pygtk2-devel
+ gtk-vnc-python-0.1.0-3.fc8 rpm
=>Provides: gtkvnc.so
=>Requires: gtk-vnc = 0.1.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libglib-2.0.so.0 libgobject-2.0.so.0 libgtk-vnc-1.0.so.0
python(abi) = 2.5 rtld(GNU_HASH)

+ Not a GUI app.

APPROVED.
Comment 6 Daniel Berrange 2007-08-17 10:07:23 EDT
New Package CVS Request
=======================
Package Name: gtk-vnc
Short Description: gtk-vnc is a VNC viewer widget for GTK
Owners: berrange,hbrock
Branches: F-7
InitialCC: 
Commits by cvsextras: yes
Comment 7 Daniel Berrange 2007-08-20 10:00:27 EDT
Built into rawhide

Note You need to log in before you can comment on or make changes to this bug.